MSFS 2020 and Update 5

  • There is a message in each download page that tells you whether or not it is compatible with the last update or not. Looks like the developers are working through them still - not all developers can afford to down tools on their other activities to deal with sim-related problems at the drop of a hat, so it may be a while until they've confirmet that all are compatible with this sim update. For airplanes not hosted on this site, you'll need to contact each supplier that you have used for details of their progress, and any necessary updates.

    Tip:

    • Go to Search
    • Enter anything and Return
    • Type in "update 5 has been confirmed"
    • click Apply
    • The search page will display all items that are certified to work with update 5

    You can then limit the search by Tags or by Category to shrink the selection to what you are looking for, and download / install them - not forgetting any addons/liveries that you use with them.


    Good luck.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • Most of my self imported legacy planes and planes I got here that worked great before the update crash every time the mouse arrow touches the screen when in cockpit view I get CTDs. I have left comments on the planes here to let the authors know if there are any problems. this whole update was of no help to me. I never complained about any of the things the update was supposed to fix. it all worked smooth to me. Now all I do is wait for the sim to load after the last CTD. 5minutes of flying and hours of screwing with the thing to see what even works. There is no excuse, the update was rushed and a load of crud. They probably don't care if things are 3rd party friendly.

    • Go to Search
    • Press Enter
    • type in "update 5 has been confirmed" (no quotes)
    • press Apply

    You'll be presented with a list of the addons that have been updated.

    The developers here are all part timers, in the main, they are paid nothing for their efforts, and we all benefit from this. They have lives outside of Flight Sim, and I'm certain that they are all working hard, in their spare time, to update their addons to Update 5 standards. When they have completed their changes, and have tested them, I am quite sure that they will load them here, where you can download them.

    From https://news.flightsim.to/flig…-and-premium-memberships/, and I quote:"

    We will now send email notifications if a file you follow has received an important update. This way you will know immediately when a new update is available. The only requirement is that your email is verified, that you follow the file you want to receive notifications for, and that you are opted in for newsletters, which is the default setting."

    So if you follow those instructions, you can have an email sent to you as each addon that you are interested in is updated.

    Oh, and don't forget that a repaint can be affected by the update as well as the plane itself- it's also an addon.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • Regarding the search tip above, is there a way to filter the search to only show things I have downloaded before which have been updated?


    The search shown above (copied below) gives zero replies here.

    • Go to Search
    • Press Enter
    • type in "update 5 has been confirmed" (no quotes)
    • press Apply


    I have 350 addons from flightsim.to and I'm finding it almost impossible to ascertain which are compatible with SU5. I can obviously filter to see things I have previously downloaded, or I can filter to see things I have previously downloaded which have had a general update recently, but I cannot see a way to filter to see things I have previously downloaded which are now compatible with SU5 - I am assuming that just marking the update as compatible with SU5 is not the same as saying it has been updated, as many updates may already be SU5 without a specific recent update for that purpose, and I don't see a way to do that.


    So in summary can I get a list of things only I have previously downloaded which are now SU5 compatible, and have not necessarily been otherwise updated?


    Regards,

  • Yes, go to My Downloads, top RH corner under your avatar - click on the avatar (probably an orange square with SL in it in your case) and you'll see a menu of what you can do for yourself.

    Click on the "My Downloads" tag, and you'll be presented with a list of your downloads. You'll first see those that need updating, and you should download all of those that you still want to use. If there are any in this list that you no longer want, or have already deleted as of no value to you, you should delete those from the My Downloads list, and concentrate on the rest.

    When you have done this, click on the "Up to date" button, and skim through them to make sure you're still using all of them - that will ensure that you don;t get update messages for any that you don't want/need any more.

    And that's it.

    Unfortunately, however, this doesn't tell you whether your mod is compatible with SU5. However, by sorting the list by download date, you should be able to sort out quite easily which ones you have downloaded since SU5, and which were last downloaded BEFORE SU5, and that will show you which addons are compatible with SU5, and which aren't (because if you downloaded it before SU5 was released, then you can be pretty sure that it isn't compatible with SU5, because the developers didn't know what needed to be done until they had the new SDK in their hands.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • John is correct. The short answer is NO. Any mods you had before the update are not compat. Each author has to correct that, so for many they probably will never be compat. You more or less have to remove all the community mods and start over. Save them and keep an eye out for them to be updated. That's the short of it unfortunately. If you got them from here, then your download folder will tell you when they are updated. Otherwise you need to just keep an eye out and look them up occassionally.

  • Ok thanks to you both.


    As this sim grows and with it, the number of addons people are using, it seems like we need a good management system to track all these changes and implement updates almost automatically. Due to the success of flightsim.to and the sim itself, the addon situation is going to become totally unmanageable.


    And we could do with some more stability in the sim ecosystem. Asobo suddenly making hundreds (thousands?) of addons incompatible is just not a sustainable situation going forward.

  • Hello, I just downloaded the ATR 72 with the Luxair livery and the livery converter. I did copy the unzipped directories into my community folder in order to get them installed into the MS FS2020. But apparently just copying those files there is not enough to get the aircraft available in the MSFS2020 aircraft selection list. What else do I have to do to install the ATR properly?

  • If you copied them into your Community Folder correctly, then the next time you boot up, you should see your plane. If not, remove any liveries that you have loaded, and try again.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • I answered you in the other post that you tagged this question on to. It's much more useful to you (and others) if you DON'T tag questions onto other people's issues. You get more, and better, attention that way.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • Since some daýs after teh new update 5 I had got trouble with my FS2020 .

    Simulation crashes every time directly on the runway before start.


    I cleaned the community folder completly, without any success!


    I made a complete new intallation, withouit any success!



    But it is no problem to fly the discovery missions, and that without any problem.



    Now I am really frustrated and helpless.



    Does anybody have I idea, what to do?

    Remark: The crash occures if the VFR map will be loaded. Could that have an influence?

  • I cleaned the community folder completly, without any success!

    Don't clean it. Delete it! The Sim will recreate it for you.

    Once you are back up and running, add back ONLY mods that you know have been confirmed to work with SU 5.


    If it's OK to use in SU 5, you'll see this:

    in the middle of the page for that mod.

    If, on the other hand, you see this:

    then don't install it.Check back every few days for new Mods, or go to your "My Downloads" list and download anything new there that was updated no earlier than about 30 July.

    Keep doing this until you have as many of your mods back as you are likely to get. I'd just about guarantee that you won't see them all - many authors have moved on, and won't be bothered to update old work, even if it does mean that it won't be used again.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • Depends on what's driving it. A recent YouTube video suggested that if you are using Navigraph, it needs an update. (

    External Content www.youtube.com
    Content embedded from external sources will not be displayed without your consent.
    Through the activation of external content, you agree that personal data may be transferred to third party platforms. We have provided more information on this in our privacy policy.
    ) . Other than that, it appears that ANY addon that has to be compiled using the SDK is likely to crash the sim, so work out what you are using, and check to see if it needs / has had an update.

    JohnG

    From Oz, Flight Simmer since FS1 - seriously since FS95

    Contributed to, and managed a site called ProjectAI for a time

  • I have uploaded 13 airport sceneries prior to SU5. Tested all of them in SU5 and found problems in two of them only. Those two have been corrected and new versions uploaded. What about the rest that do not need new version uploads? How can I mark them as SU5 compatible? I can not find any information on that...